bitel.billing.server.admin.bean

## Class PaymentAndChargeTypeManager

- java.lang.Object
- - bitel.billing.server.admin.bean.PaymentAndChargeTypeManager

- Deprecated.

      @Deprecated
      public class PaymentAndChargeTypeManager
      extends java.lang.Object

  Исплользовать PaymentTypeDao или ChargeTypeDao если нужно прямое обращение к базе, если же нужны просто сами типы, то вытаскивать через справочники: getDirectory( ChargeType.class, -1, true ) или так getDirectory( ChargeType.class ) в клиенте, точно так же и с payment.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FLAG_EDITABLE` Deprecated.
    `static int` | `FLAG_NOTEDITABLE` Deprecated.
    `static int` | `TYPE_BRANCH` Deprecated.
    `static int` | `TYPE_LEAF` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaymentAndChargeTypeManager(java.sql.Connection con)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChargeTitleById(int chid)` Deprecated.
    `java.lang.String` | `getChargeTitleByID(int chid)` Deprecated.
    `java.util.List<IdTitle>` | `getChargeTypes(java.lang.Integer flag)` Deprecated.
    `java.util.List<ChargeType>` | `getChargeTypes(java.lang.Integer flag, java.lang.Integer type)` Deprecated.
    `protected java.util.Map<java.lang.String,java.lang.String>` | `getPaymentOrChargeTypes(int mode)` Deprecated. Мэп типов приходов/расходов.
    `java.lang.String` | `getPaymentTitleById(int pid)` Deprecated.
    `java.lang.String` | `getPaymentTitleByID(int pid)` Deprecated.
    `java.util.List<IdTitle>` | `getPaymentTypes(java.lang.Integer flag)` Deprecated. Мэп типов платежей.
    `java.util.List<PaymentType>` | `getPaymentTypes(java.lang.Integer flag, java.lang.Integer type)` Deprecated.
    `boolean` | `isPaymentTypeExists(int id)` Deprecated. Использовать directory, если вернет null, значит не существует.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FLAG_EDITABLE

          public static final int FLAG_EDITABLE

      Deprecated.
      See Also:
        Constant Field Values

    - #### FLAG_NOTEDITABLE

          public static final int FLAG_NOTEDITABLE

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE_BRANCH

          public static final int TYPE_BRANCH

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE_LEAF

          public static final int TYPE_LEAF

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PaymentAndChargeTypeManager

          public PaymentAndChargeTypeManager(java.sql.Connection con)

      Deprecated.

  - ### Method Detail

    - #### getPaymentOrChargeTypes

          protected java.util.Map<java.lang.String,java.lang.String> getPaymentOrChargeTypes(int mode)
                                                                                      throws java.sql.SQLException

      Deprecated.
      Мэп типов приходов/расходов. Берутся все, со всеми type и flag
      Parameters:
        `mode` - 0 - contract_payment_types, 1,(+ещё?) - contract_charge_types
      Returns:
        мэп(ид=>заголовок)
      Throws:
        `java.sql.SQLException`

    - #### getChargeTypes

          public java.util.List<IdTitle> getChargeTypes(java.lang.Integer flag)
                                                 throws java.sql.SQLException

      Deprecated.
      Throws:
        `java.sql.SQLException`

    - #### getChargeTypes

          public java.util.List<ChargeType> getChargeTypes(java.lang.Integer flag,
                                                           java.lang.Integer type)

      Deprecated.

    - #### getPaymentTypes

          public java.util.List<IdTitle> getPaymentTypes(java.lang.Integer flag)
                                                  throws java.sql.SQLException

      Deprecated.
      Мэп типов платежей. Возвращается только type=0.
      Parameters:
        `flag` - если не null то возвращается только с указанным флагом
      Returns:
        мэп(ид=>заголовок)
      Throws:
        `java.sql.SQLException`

    - #### getPaymentTypes

          public java.util.List<PaymentType> getPaymentTypes(java.lang.Integer flag,
                                                             java.lang.Integer type)
                                                      throws java.sql.SQLException

      Deprecated.
      Throws:
        `java.sql.SQLException`

    - #### getChargeTitleById

          public java.lang.String getChargeTitleById(int chid)

      Deprecated.

    - #### getChargeTitleByID

          @Deprecated
          public java.lang.String getChargeTitleByID(int chid)
                                                          throws java.sql.SQLException

      Deprecated.
      Использовать `getChargeTitleById(int)`.
      Parameters:
        `chid` -
      Returns:
      Throws:
        `java.sql.SQLException`

    - #### getPaymentTitleById

          public java.lang.String getPaymentTitleById(int pid)
                                               throws java.sql.SQLException

      Deprecated.
      Throws:
        `java.sql.SQLException`

    - #### getPaymentTitleByID

          @Deprecated
          public java.lang.String getPaymentTitleByID(int pid)
                                                           throws java.sql.SQLException

      Deprecated.
      Использовать `getPaymentTitleById(int)`.
      Parameters:
        `pid` -
      Returns:
      Throws:
        `java.sql.SQLException`

    - #### isPaymentTypeExists

          public boolean isPaymentTypeExists(int id)

      Deprecated.
      Использовать directory, если вернет null, значит не существует. Проверяет, существует ли данный тип платежа.
      Parameters:
        `id` - код типа платежа
      Returns:
        true - если существует